<?PHP


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");


/***********************************************************/
/*   Nom des villes, départements, pays, et code postaux   */
/***********************************************************/

// Fonction qui renvoie la ville en fonction de l'ID
// avec contrôle ouverture de la base MySQL
function Retourneville_openId($id,$openfic)
{
	$ville_nom = "";
	if($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rnom = "SELECT villes_nom FROM " .TBVILLES. " WHERE villes_id='".$id."'";
	$rsnom = mysql_query($rnom) or die(mysql_error());
	if (mysql_num_rows($rsnom) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowville = mysql_fetch_array($rsnom)) 
			extract ($rowville);
	}
	// mysql_free_result($rsnom);
	if ($openfic==TRUE)
		mysql_close($conn2);  
	$ville = str_majuscules($villes_nom);
	// Les villes de LYON, MARSEILLE, PARIS doivent être traitées à part (arrondissements)
	if (stristr($villes_nom,"LYON"))
		$ville="LYON";
	if (stristr($villes_nom,"MARSEILLE"))
		$ville="MARSEILLE";
	if (stristr($villes_nom,"PARIS"))
		$ville="PARIS";
	return $ville;
}

// Fonction qui renvoie le code postal en fonction de l'ID
// avec contrôle ouverture de la base MySQL
function Retournecp_openId($id,$openfic)
{
	$villes_cp = "";
	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rcp = "SELECT villes_cp FROM " .TBVILLES. " WHERE villes_id='".$id."'";
	$rscp = mysql_query($rcp) or die(mysql_error());
	if (mysql_num_rows($rscp) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowcp = mysql_fetch_array($rscp)) 
			extract ($rowcp);
	}
	// mysql_free_result($rscp);
	if ($openfic==TRUE)
		mysql_close($conn2);  
	return $villes_cp;
}

// Fonction qui renvoie le nom de pays en fonction du code pays
// avec contrôle ouverture de la base MySQL
function Retournepays_open($pays,$openfic)
{
	$pays_nom = "";
	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rpays = "SELECT pays_nom FROM " .TBPAYS. " WHERE pays_code='".$pays."'";
	$rspays = mysql_query($rpays) or die(mysql_error());
	if (mysql_num_rows($rspays) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowpays = mysql_fetch_array($rspays)) 
			extract ($rowpays);
	}
	// mysql_free_result($rspays);
	if ($openfic==TRUE)
		mysql_close($conn2);  
	return $pays_nom;
}

// Fonction qui renvoie le département en fonction du code et du pays
// avec contrôle ouverture de la base MySQL
function Retournedep_open($dep,$pays,$openfic)
{
	$dep_nom = "";
	if ($openfic==TRUE)
	{
		$conn2 = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
	}
	$rdep="SELECT * FROM ".TBDEP." WHERE `dep_code`='".$dep."' AND `dep_codepays`='".$pays."'";
	$rsdep = mysql_query($rdep) or die(mysql_error());
	if (mysql_num_rows($rsdep) == 1) // Uniquement UN SEUL enregistrement !
	{
		if ($rowdep = mysql_fetch_array($rsdep)) 
		{
			extract ($rowdep);
		}
	}
	if ($openfic==TRUE)
		mysql_close($conn2);  
	return $dep_nom;
}

?>